package m2soft.test.teechart;

import java.awt.BorderLayout;

import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.io.FileNotFoundException;
import java.io.IOException;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.UIManager;

import com.steema.teechart.TChart;
import com.steema.teechart.drawing.Gradient;
import com.steema.teechart.drawing.GradientDirection;
import com.steema.teechart.themes.ColorPalettes;

public class ChartDemo extends JPanel
{
   private TChart chart1;
   private static JFrame window;

   public ChartDemo()
   {
      super(new BorderLayout());
      {
         this.setPreferredSize(new java.awt.Dimension(806, 284));
      }
      Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
      setPreferredSize(new Dimension(dim.width - (dim.width / 3), dim.height - (dim.height / 3)));

      initChart();
      this.add(chart1);
   }

   private static void createAndShowGUI()
   {
      JFrame.setDefaultLookAndFeelDecorated(true);
      window = new JFrame("TeeChart for Java");
      window.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);

      window.addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent we)
         {
            System.exit(0);
         }
      });

      window.setContentPane(new ChartDemo());
      window.pack();

      window.setLocationRelativeTo(null);
      window.setVisible(true);
   }

   private void initChart()
   {
      chart1 = new TChart();
      
      com.steema.teechart.styles.Line line1 = new com.steema.teechart.styles.Line(chart1.getChart());
      line1.fillSampleValues();
   }

   public static void main(String[] args)
   {
      javax.swing.SwingUtilities.invokeLater(new Runnable() {
         public void run()
         {
            try
            {
               UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
               createAndShowGUI();
            }
            catch (Exception ex)
            {
               ex.printStackTrace();
            }
         }
      });
   }
}
